NXOpen.UF.Modl.AskExtrusion

Modl.AskExtrusion()

Refer to UF_MODL_ask_extrusion for documentation.

Signature: AskExtrusion(featureObjId)

Parameters:featureObjId (Tag) – Object tag for the extruded feature
Returns:A Tuple
Return type:A tuple consisting of (numObjects,objects,trimPtr,taperAngle,limits,offsets,regionPoint,regionSpecified,solidCreation,direction)

numObjects(int): Number of curves

objects(list of Tag): Pointer to an array containing the tags of the extruded curves. This array must be freed by calling UF_free.

trimPtr(list of ``NXOpen.UF.Modl.SweepTrimObject` Refer to UF_MODL_SWEEP_TRIM_object_s for documentation.`): Pointer to structure for trimming data. This pointer may be returned as NULL, if trimming objects are not used. Use function UF_MODL_SWEEP_free_trim_data to free the trimming data.

taperAngle(str): Taper angle. This must be freed by calling UF_free.

limits(list of str): Limits of extrusion. Each element of this array must be freed by calling UF_free.

offsets(list of str): Offsets for open strings. Each element of this array must be freed by calling UF_free.

regionPoint(list of float): Point on region desired.

regionSpecified(bool): True or False for region desired.

solidCreation(bool): TRUE = a solid body.

direction(list of float): Extrusion direction

License requirements: None